/*
 *  Copyright 2001 Adrian Thurston <adriant@ragel.ca>
 */

/*  This file is part of Aapl.
 *
 *  Aapl is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  Aapl is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with Aapl; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

#include <stdio.h>
#include "vectset.h"
#include "vectsetl.h"
#include "vectsetc.h"

template class VectSet< unsigned long, OrdCmp<unsigned long> >;
template class VectSetL< char **, OrdCmp<char**> >;
template class VectSetC< int *, OrdCmp<int*> >;

VectSetC<int*, OrdCmp<int*> > vsc(20);

void testVectSet()
{
	char *pc;
	VectSet< char*, StrCmp > v;
	v.Set(pc = "hello");
	v.Set(pc = "how");
	v.Set(pc = "are");
	v.Set(pc = "you");
	v.Set(pc = "today");

	v.Set(pc = "today");
	v.UnSet(pc = "today");

	for (int i = 0; i < v.tableLength; i++)
		printf("%s\n", v.table[i]);
}

int main() {
	testVectSet();
	return 0;
}
